import request from "@/utils/request"

// 分页查询企业基础信息
export function getEnterList(params) {
  return request({
    url: "/system/enterpriseBasicInfo/list",
    method: "get",
    params
  })
}

// 新增企业基础信息 
export function enterpriseBasicInfoNew(data) {
  return request({
    url: "/system/enterpriseBasicInfo",
    method: "post",
    data
  })
}

// 修改企业基础信息
export function enterpriseBasicInfoChange(data) {
  return request({
    url: "/system/enterpriseBasicInfo",
    method: "put",
    data
  })
}

// 根据主键查询企业基础信息
export function enterpriseBasicInfoId(id) {
  return request({
    url: "/system/enterpriseBasicInfo/" + id,
    method: "get",
  })
}

// 删除企业基础信息
export function enterpriseBasicInfoDel(params) {
  return request({
    url: "/system/enterpriseBasicInfo" + id,
    method: "delete",
    params
  })
}

// 分页查询联络人列表
export function getjContacts(params) {
  return request({
    url: "/jjh/jContacts",
    method: "get",
    params
  })
}
